package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.AccessPathModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface AccessPathProvider extends SuperProvider {
    @Override
    public boolean accessable();

    public BocloudResult list();

    public BocloudResult create(AccessPathModel accessPathModel);

    public BocloudResult modify(AccessPathModel accessPathModel);

    public BocloudResult remove(String pathUuid);

    public BocloudResult detail(Long pathId);
}
